# Class InternalFrameEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
javax.swing.event.InternalFrameEvent

All Implemented Interfaces:
  `Serializable`

public class InternalFrameEvent extends AWTEvent
An `AWTEvent` that adds support for `JInternalFrame` objects as the event source. This class has the same event types as `WindowEvent`, although different IDs are used. Help on handling internal frame events is in How to Write an Internal Frame Listener, a section in The Java Tutorial.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `WindowEvent`
  - `WindowListener`
  - `JInternalFrame`
  - `InternalFrameListener`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `INTERNAL_FRAME_ACTIVATED`
  The "window activated" event type.
  `static final int`
  `INTERNAL_FRAME_CLOSED`
  The "window closed" event.
  `static final int`
  `INTERNAL_FRAME_CLOSING`
  The "window is closing" event.
  `static final int`
  `INTERNAL_FRAME_DEACTIVATED`
  The "window deactivated" event type.
  `static final int`
  `INTERNAL_FRAME_DEICONIFIED`
  The "window deiconified" event type.
  `static final int`
  `INTERNAL_FRAME_FIRST`
  The first number in the range of IDs used for internal frame events.
  `static final int`
  `INTERNAL_FRAME_ICONIFIED`
  The "window iconified" event.
  `static final int`
  `INTERNAL_FRAME_LAST`
  The last number in the range of IDs used for internal frame events.
  `static final int`
  `INTERNAL_FRAME_OPENED`
  The "window opened" event.

  ### Fields declared in class AWTEvent

  `ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`
  Modifier and Type
  Field
  Description
  `static final long`
  `ACTION_EVENT_MASK`
  The event mask for selecting action events.
  `static final long`
  `ADJUSTMENT_EVENT_MASK`
  The event mask for selecting adjustment events.
  `static final long`
  `COMPONENT_EVENT_MASK`
  The event mask for selecting component events.
  `protected boolean`
  `consumed`
  Controls whether or not the event is sent back down to the peer once the source has processed it - false means it's sent to the peer; true means it's not.
  `static final long`
  `CONTAINER_EVENT_MASK`
  The event mask for selecting container events.
  `static final long`
  `FOCUS_EVENT_MASK`
  The event mask for selecting focus events.
  `static final long`
  `HIERARCHY_BOUNDS_EVENT_MASK`
  The event mask for selecting hierarchy bounds events.
  `static final long`
  `HIERARCHY_EVENT_MASK`
  The event mask for selecting hierarchy events.
  `protected int`
  `id`
  The event's id.
  `static final long`
  `INPUT_METHOD_EVENT_MASK`
  The event mask for selecting input method events.
  `static final long`
  `INVOCATION_EVENT_MASK`
  The event mask for selecting invocation events.
  `static final long`
  `ITEM_EVENT_MASK`
  The event mask for selecting item events.
  `static final long`
  `KEY_EVENT_MASK`
  The event mask for selecting key events.
  `static final long`
  `MOUSE_EVENT_MASK`
  The event mask for selecting mouse events.
  `static final long`
  `MOUSE_MOTION_EVENT_MASK`
  The event mask for selecting mouse motion events.
  `static final long`
  `MOUSE_WHEEL_EVENT_MASK`
  The event mask for selecting mouse wheel events.
  `static final long`
  `PAINT_EVENT_MASK`
  The event mask for selecting paint events.
  `static final int`
  `RESERVED_ID_MAX`
  The maximum value for reserved AWT event IDs.
  `static final long`
  `TEXT_EVENT_MASK`
  The event mask for selecting text events.
  `static final long`
  `WINDOW_EVENT_MASK`
  The event mask for selecting window events.
  `static final long`
  `WINDOW_FOCUS_EVENT_MASK`
  The event mask for selecting window focus events.
  `static final long`
  `WINDOW_STATE_EVENT_MASK`
  The event mask for selecting window state events.

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalFrameEvent(JInternalFrame source, int id)`
  Constructs an `InternalFrameEvent` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JInternalFrame`
  `getInternalFrame()`
  Returns the originator of the event.
  `String`
  `paramString()`
  Returns a parameter string identifying this event.

  ### Methods declared in class AWTEvent

  `consume, getID, isConsumed, setSource, toString`
  Modifier and Type
  Method
  Description
  `protected void`
  `consume()`
  Consumes this event, if this event can be consumed.
  `int`
  `getID()`
  Returns the event type.
  `protected boolean`
  `isConsumed()`
  Returns whether this event has been consumed.
  `void`
  `setSource(Object newSource)`
  Retargets an event to a new source.
  `String`
  `toString()`
  Returns a String representation of this object.

  ### Methods declared in class EventObject

  `getSource`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### INTERNAL_FRAME_FIRST

    public static final int INTERNAL_FRAME_FIRST
    The first number in the range of IDs used for internal frame events.
    See Also:
      - Constant Field Values

  - ### INTERNAL_FRAME_LAST

    public static final int INTERNAL_FRAME_LAST
    The last number in the range of IDs used for internal frame events.
    See Also:
      - Constant Field Values

  - ### INTERNAL_FRAME_OPENED

    public static final int INTERNAL_FRAME_OPENED
    The "window opened" event. This event is delivered only the first time the internal frame is made visible.
    See Also:
      - `JInternalFrame.show()`
      - Constant Field Values

  - ### INTERNAL_FRAME_CLOSING

    public static final int INTERNAL_FRAME_CLOSING
    The "window is closing" event. This event is delivered when the user attempts to close the internal frame, such as by clicking the internal frame's close button, or when a program attempts to close the internal frame by invoking the `setClosed` method.
    See Also:
      - `JInternalFrame.setDefaultCloseOperation(int)`
      - `JInternalFrame.doDefaultCloseAction()`
      - `JInternalFrame.setClosed(boolean)`
      - Constant Field Values

  - ### INTERNAL_FRAME_CLOSED

    public static final int INTERNAL_FRAME_CLOSED
    The "window closed" event. This event is delivered after the internal frame has been closed as the result of a call to the `setClosed` or `dispose` method.
    See Also:
      - `JInternalFrame.setClosed(boolean)`
      - `JInternalFrame.dispose()`
      - Constant Field Values

  - ### INTERNAL_FRAME_ICONIFIED

    public static final int INTERNAL_FRAME_ICONIFIED
    The "window iconified" event. This event indicates that the internal frame was shrunk down to a small icon.
    See Also:
      - `JInternalFrame.setIcon(boolean)`
      - Constant Field Values

  - ### INTERNAL_FRAME_DEICONIFIED

    public static final int INTERNAL_FRAME_DEICONIFIED
    The "window deiconified" event type. This event indicates that the internal frame has been restored to its normal size.
    See Also:
      - `JInternalFrame.setIcon(boolean)`
      - Constant Field Values

  - ### INTERNAL_FRAME_ACTIVATED

    public static final int INTERNAL_FRAME_ACTIVATED
    The "window activated" event type. This event indicates that keystrokes and mouse clicks are directed towards this internal frame.
    See Also:
      - `JInternalFrame.show()`
      - `JInternalFrame.setSelected(boolean)`
      - Constant Field Values

  - ### INTERNAL_FRAME_DEACTIVATED

    public static final int INTERNAL_FRAME_DEACTIVATED
    The "window deactivated" event type. This event indicates that keystrokes and mouse clicks are no longer directed to the internal frame.
    See Also:
      - `JInternalFrame.setSelected(boolean)`
      - Constant Field Values

- ## Constructor Details

  - ### InternalFrameEvent

    public InternalFrameEvent(JInternalFrame source, int id)
    Constructs an `InternalFrameEvent` object.
    Parameters:
      `source` - the `JInternalFrame` object that originated the event
      `id` - an integer indicating the type of event

- ## Method Details

  - ### paramString

    public String paramString()
    Returns a parameter string identifying this event. This method is useful for event logging and for debugging.
    Overrides:
      `paramString` in class `AWTEvent`
    Returns:
      a string identifying the event and its attributes

  - ### getInternalFrame

    public JInternalFrame getInternalFrame()
    Returns the originator of the event.
    Returns:
      the `JInternalFrame` object that originated the event
    Since:
      1.3